Summary: Scripts launched by system on suspend and resume
Name: suspend-scripts
Version: 1.9.2
Release: 1mdk
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Provides: apm-scripts
Obsoletes: apm-scripts
Requires: lsof, usermode-consoleonly, hdparm
Url: http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/suspend-scripts/
BuildArchitectures: noarch

%description
Suspend-Script is launched by apm or acpid on resume and suspend, it
start or stop your network/sound etc... to make sure that everything
work after hybernation of your computer.

The suspend functionality is disabled by default since it can freeze
some systems. Install the %{name}-force package to enable it.

%package -n %{name}-force
Summary: Package to enable suspend and resume
Group: System/Servers

%description -n %{name}-force
Suspend-Script is launched by apm or acpid on resume and suspend, it
start or stop your network/sound etc... to make sure that everything
work after hybernation of your computer.

The suspend functionality is disabled by default since it can freeze
some systems. This package enables it.


%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

chmod 755 contrib/*.sh

rm -f $RPM_BUILD_ROOT/etc/acpi/events/lid

# moved to laptop-mode-tools
rm -f $RPM_BUILD_ROOT/etc/acpi/events/ac_adapter
rm -f $RPM_BUILD_ROOT/etc/acpi/actions/battery.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog contrib/*
%dir /etc/sysconfig/suspend-scripts/suspend.d/
%dir /etc/sysconfig/suspend-scripts
%config(noreplace) /etc/sysconfig/suspend
/etc/sysconfig/suspend-scripts/suspend.control
/etc/sysconfig/suspend-scripts/suspend.d/*
%config(noreplace) /etc/acpi/events/*
%dir /etc/acpi/actions
%dir /var/run/pm/
%{_sbindir}/pmsuspend2
%{_bindir}/pmsuspend2
%config(noreplace) /etc/security/console.apps/pmsuspend2
%config(noreplace) /etc/pam.d/pmsuspend2

%files -n %{name}-force
%defattr(-,root,root)
%{_sbindir}/pmsuspend
%{_bindir}/pmsuspend
%config(noreplace) /etc/security/console.apps/pmsuspend
%config(noreplace) /etc/pam.d/pmsuspend

%changelog
* Fri Aug 12 2005 Frederic Lepied <flepied@mandriva.com> 1.9.2-1mdk
- removed acpi files for laptop-mode (will be in laptop-mode-tools)

* Sat Aug  6 2005 Frederic Lepied <flepied@mandriva.com> 1.9.1-1mdk
- remove laptop-mode files from the package

* Fri Aug  5 2005 Frederic Lepied <flepied@mandriva.com> 1.9-1mdk
- use laptop_mode from the laptop-mode-tools package

* Tue Apr 19 2005 Olivier Blin <oblin@mandriva.com> 1.8.9-1mdk
- ship pmsuspend it in the new suspend-scripts-force package

* Mon Apr 18 2005 Olivier Blin <oblin@mandriva.com> 1.8.8-1mdk
- fix kde session detection

* Thu Mar 17 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.7-3mdk
- kill alsa apps too if RESTART_SOUND is set to yes

* Thu Mar 10 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.7-2mdk
- only start services enabled in curent runlevel on resume (#14301)
- from Michael Reinsch
  o restart pcmcia and network before services (#14300)
  o restart mDNSResponder service (#14301)
  o restore clock earlier (#14305)
  o restart cpufreq and cpufreqd services too (#14306)

* Fri Mar  4 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.7-1mdk
- support more AC adapters (AC, ACAD, ADP1) (#11864)

* Wed Feb 23 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.6-1mdk
- from Michael Reinsch (#8220):
  o pass extra params to suspend.control when using acpi
  o allow pmsuspend2 to suspend to ram (with the "memory" argument)
  o suspend to ram on sleep events

* Tue Feb 22 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.5-1mdk
- start X locking program in background, not to block suspend (#3942)
- handle debug="yes" from sysconfig (#13885)
- handle /var/lib/pcmcia/stab in suspend.d/pcmcia (#13890)

* Tue Feb 22 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.4-1mdk
- fix anacron service restart, list it in RESTART_SERVICES (#6291)

* Mon Feb 21 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.3-1mdk
- really use RESTART_PCMCIA from sysconfig in suspend.d/pcmcia (#13853)

* Fri Feb 11 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.2-1mdk
- allow to set debug in /etc/sysconfig/suspend (#3943)
- ignore .rpmorig files in suspend.d/ (#3943)

* Wed Sep 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-1mdk
- switch to 5 mn spindown time in battery mode to work better
  with slow disks.

* Fri Aug  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.8-1mdk
- battery.sh: activate throttling support
- do not provide acpi/events/lid as pmsuspend isn't stable enough

* Fri Jun 11 2004 Robert Vojta <robert.vojta@mandrake.org> 1.7-3mdk
- CVS synchronization (.src.rpm tarball & MDKSoft CVS)
- added missing pmsuspend.pam & ac_battery ACPI event file

* Fri Jun 11 2004 Robert Vojta <robert.vojta@mandrake.org> 1.7-2mdk
- acpi/events/lid should use pmsuspend2, not pmsuspend (#10011)
- /etc/sysconfig/* files are listed once in the %%files section 

* Mon Apr 26 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.7-1mdk
- added support for laptop_mode
- suspend.sh 0.18

* Thu Mar 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-4mdk
- Requires usermode-consoleonly, not usermode

* Thu Sep 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-3mdk
- corrected power button alternative naming

* Mon Sep 15 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-2mdk
- renamed pmsuspend

* Thu Aug 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-1mdk
- added consolehelper support

* Mon Mar 24 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-1mdk
- suspend-scripts.spec, contrib/README.scripts, contrib/acpi.sh,
  contrib/battery.sh, contrib/suspend.sh: Add contrib script
  from official SoftWare suspend pages
- suspend.d/usb: Relaunch /sbin/hotplug usb at resume. (#3499).

* Mon Mar 10 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4-1mdk
- suspend.sysconfig: Add apm specific config (#2982).
- suspend.control: Use -lt instead of < in check_ram() and fix
  mispell. (#2902)
- suspend.control: Sync after every launch.
- suspend.d/services: Add suspend: resume: tag..

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.3-1mdk
- added acpid script to shutdown

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-1mdk
- suspend.d/xfree: Don't loop infinitely when we don't have
  xscreensaver or kdeinit launched.
- Let User can specify to use /proc/sys/kernel/swsusp.

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-1mdk
- Add APM support.

* Mon Feb  3 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First release.


# end of file
